﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication277.ViewModel;

namespace WpfApplication277
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Boolean allowselection = true;
        public MainWindow()
        {
            InitializeComponent();
            //VM vm = new VM();
            //layoutroot.DataContext = vm;

        }

        private void countselected_Click(object sender, RoutedEventArgs e)
        {
            string s = "number rows selected " + xgrid1.SelectedItems.Records.Count.ToString();
            MessageBox.Show(s);

        }

      

        private void xgrid1_PreviewMouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {

        }

        private void xgrid1_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (xgrid1.SelectedItems.Records.Count > 0)
            {
                allowselection = false;
            }
            else allowselection = true;
               
        }

        private void clearselection_Click(object sender, RoutedEventArgs e)
        {
            xgrid1.SelectedItems.Records.Clear();
            allowselection = true;
        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            VM vm = this.Resources["vm"] as VM;
            if (vm.Mode == "Red")
            {
                vm.Mode = "Blue";
            }
            else vm.Mode = "Red";

        }
    }
}
