﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace WpfApplication277.ViewModel
{
  public   class VM:INotifyPropertyChanged
    {
      ObservableCollection<Person> people = new ObservableCollection<Person>();
      public ObservableCollection<Person> People
      {
          get {return people;}
          set { people = value;
          NotifyPropertyChanged("People");
          }
      }

      string mode = "Red";
      public string Mode
      {
          get { return mode; }
          set { mode = value;
          NotifyPropertyChanged("Mode");
          }
      }

      public VM()
      {
          for (int i = 0; i < 25; i++)
          {
              Person p = new Person()
              {
                  Name = "name " + i.ToString(),
                  Age = 18 + i
              };
              people.Add(p);
          }
      }

      public event PropertyChangedEventHandler PropertyChanged;

      private void NotifyPropertyChanged(String info)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(info));
          }
      }

    }
}
